kind: pipeline
type: docker
name: default

steps:
  - name: debug registry secrets
    image: alpine
    commands:
      - echo "$${docker_username}"

  - name: build and push flappy image
    image: plugins/docker
    settings:
      repo: rubble.se:5000/urmo/flappy
      tags: latest
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
